Bug 12561 - gcc/config/t-gnu needs updating to work with --with-sysroot
Summary: gcc/config/t-gnu needs updating to work with --with-sysroot
Status: RESOLVED FIXED
Alias: None
Product: gcc
Classification: Unclassified
Component: target (show other bugs)
Version: 3.4.0
: P2 normal
Target Milestone: 3.3.3
Assignee: Not yet assigned to anyone
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-10-09 22:37 UTC by Jeff Bailey
Modified: 2004-01-10 06:43 UTC (History)
1 user (show)

See Also:
Host: ia64-linux
Target: i386-gnu
Build: ia64-linux
Known to work:
Known to fail:
Last reconfirmed: 2003-10-11 03:36:47


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jeff Bailey 2003-10-09 22:37:15 UTC
2003-10-09  Jeff Bailey  <jbailey@nisa.net>

        * config/t-gnu: Rename SYSTEM_HEADER_DIR to NATIVE_SYSTEM_HEADER_DIR

Index: t-gnu
===================================================================
RCS file: /cvs/gcc/gcc/gcc/config/t-gnu,v
retrieving revision 1.4
diff -u -p -r1.4 t-gnu
--- t-gnu       30 Nov 2000 08:30:26 -0000      1.4
+++ t-gnu       9 Oct 2003 22:35:04 -0000
@@ -1,2 +1,2 @@
 # In GNU, "/usr" is a four-letter word.
-SYSTEM_HEADER_DIR = /include
+NATIVE_SYSTEM_HEADER_DIR = /include
Comment 1 Andrew Pinski 2003-10-09 23:08:52 UTC
Email gcc-patches@ with your patch.
Comment 2 CVS Commits 2004-01-10 06:40:28 UTC
Subject: Bug 12561

CVSROOT:	/cvs/gcc
Module name:	gcc
Changes by:	pinskia@gcc.gnu.org	2004-01-10 06:40:24

Modified files:
	gcc            : ChangeLog 
	gcc/config     : t-gnu 

Log message:
	2004-01-09  Jeff Bailey  <jbailey@nisa.net>
	
	PR target/12561
	* config/t-gnu: Rename SYSTEM_HEADER_DIR to NATIVE_SYSTEM_HEADER_DIR.

Patches:
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/ChangeLog.diff?cvsroot=gcc&r1=2.2209&r2=2.2210
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/config/t-gnu.diff?cvsroot=gcc&r1=1.4&r2=1.5

Comment 3 CVS Commits 2004-01-10 06:42:06 UTC
Subject: Bug 12561

CVSROOT:	/cvs/gcc
Module name:	gcc
Branch: 	gcc-3_3-branch
Changes by:	pinskia@gcc.gnu.org	2004-01-10 06:42:01

Modified files:
	gcc            : ChangeLog 
	gcc/config     : t-gnu 

Log message:
	2004-01-09  Jeff Bailey  <jbailey@nisa.net>
	
	PR target/12561
	* config/t-gnu: Rename SYSTEM_HEADER_DIR to NATIVE_SYSTEM_HEADER_DIR.

Patches:
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/ChangeLog.diff?cvsroot=gcc&only_with_tag=gcc-3_3-branch&r1=1.16114.2.871&r2=1.16114.2.872
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/config/t-gnu.diff?cvsroot=gcc&only_with_tag=gcc-3_3-branch&r1=1.4&r2=1.4.54.1

Comment 4 Andrew Pinski 2004-01-10 06:43:39 UTC
Fixed for 3.3.3 and 3.4.